﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{B5C43907-730D-421E-82EC-8506A1477339}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>ProcessTransmissions.UnitTest</RootNamespace>
    <AssemblyName>ProcessTransmissions.UnitTest</AssemblyName>
    <FileAlignment>512</FileAlignment>
    <MyType>Windows</MyType>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <ProjectTypeGuids>{3AC096D0-A1C2-E12C-1390-A8335801FDAB};{F184B08F-C81C-45F6-A57F-5ABD9991F28F}</ProjectTypeGuids>
    <OptionExplicit>On</OptionExplicit>
    <OptionCompare>Binary</OptionCompare>
    <OptionStrict>On</OptionStrict>
    <OptionInfer>On</OptionInfer>
    <SccProjectName>
    </SccProjectName>
    <SccLocalPath>
    </SccLocalPath>
    <SccAuxPath>
    </SccAuxPath>
    <SccProvider>
    </SccProvider>
    <SignAssembly>false</SignAssembly>
    <AssemblyOriginatorKeyFile>$(PROJ_ROOT)\misc\Oasys.pfx</AssemblyOriginatorKeyFile>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <OldToolsVersion>3.5</OldToolsVersion>
    <UpgradeBackupLocation />
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <DefineDebug>true</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <OutputPath>$(OUT_DIR)\build\tests\ut</OutputPath>
    <DocumentationFile>
    </DocumentationFile>
    <NoWarn>42353,42354,42355</NoWarn>
    <WarningsAsErrors>41999,42016,42017,42018,42019,42020,42021,42022,42032,42036</WarningsAsErrors>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <DefineDebug>false</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <Optimize>true</Optimize>
    <OutputPath>$(OUT_DIR)\build\tests\ut</OutputPath>
    <DocumentationFile>
    </DocumentationFile>
    <NoWarn>42353,42354,42355</NoWarn>
    <WarningsAsErrors>41999,42016,42017,42018,42019,42020,42021,42022,42032,42036</WarningsAsErrors>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Microsoft.VisualStudio.QualityTools.UnitTestFramework, Version=10.1.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <SpecificVersion>True</SpecificVersion>
    </Reference>
    <Reference Include="Rhino.Mocks, Version=3.6.0.0, Culture=neutral, PublicKeyToken=0b3305902db7183f, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>$(PROJ_ROOT)\Libs\Rhino.Mocks.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Import Include="BOEvent" />
    <Import Include="Cts.Oasys.Data" />
    <Import Include="Microsoft.VisualBasic" />
    <Import Include="Microsoft.VisualStudio.TestTools.UnitTesting" />
    <Import Include="ProcessTransmissions" />
    <Import Include="ProcessTransmissions.TpWickes" />
    <Import Include="Rhino.Mocks" />
    <Import Include="System" />
    <Import Include="System.Collections.Generic" />
    <Import Include="System.Data" />
    <Import Include="System.Diagnostics" />
    <Import Include="System.Linq" />
    <Import Include="System.Text" />
    <Import Include="TpWickes.Library" />
    <Import Include="TpWickes.Library.UnitTest" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BankingUnitTest.vb" />
    <Compile Include="DataStructureHeaderRecordUnitTest.vb" />
    <Compile Include="DataStructureTrailerRecordUnitTest.vb" />
    <Compile Include="DISetup.vb" />
    <Compile Include="FormatSTHOO_Tests.vb" />
    <Compile Include="DataStructureHpstvUnitTest.vb" />
    <Compile Include="My Project\AssemblyInfo.vb" />
    <Compile Include="ProcessTransmissions_RemoveOrderConfirmationReportFromClose_UnitTest.vb" />
    <Compile Include="ProcessTransmissions_CouponsTests.vb" />
    <Compile Include="ProcessTransmissions_EventChange_Tests.vb" />
    <Compile Include="ProcessTransmissions_HeadOfficeToStoreImportDateAdjust_Tests.vb" />
    <Compile Include="ProcessTransmissions_OnOrderQuantities.vb" />
    <Compile Include="ProcessTransmissions_SthoaAdRecord_Tests.vb" />
    <Compile Include="ProcessTransmissions_SthoaDataStructure_Tests.vb" />
    <Compile Include="ProcessTransmissions_SthotDataStructure_Tests.vb" />
    <Compile Include="ProcessTransmissions_SthotFormat_Tests.vb" />
    <Compile Include="STHPOUnitTest.vb" />
    <Compile Include="StockFactoryUnitTest.vb" />
    <Compile Include="FactoryUnitTest.vb" />
    <Compile Include="UpdateSthocUnitTest.vb" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="AuthoringTests.txt" />
  </ItemGroup>
  <ItemGroup />
  <ItemGroup>
    <ProjectReference Include="..\..\..\..\main\bo\Cts.Oasys.Core\Cts.Oasys.Core2\Cts.Oasys.Core2.csproj">
      <Project>{93F81432-BC23-4C71-917D-9C4CCA1A916C}</Project>
      <Name>Cts.Oasys.Core2</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\main\bo\BusinessObjects\BOEvent\BOEvent.vbproj">
      <Project>{FE370D97-B6E8-4717-ADF9-5F60E7F53E1C}</Project>
      <Name>BOEvent</Name>
      <Private>True</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\main\bo\BusinessObjects\BOPurchases\BOPurchases.vbproj">
      <Project>{78A421F9-2CAA-4905-9691-1C9661D8E77C}</Project>
      <Name>BOPurchases</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\main\bo\Cts.Oasys.Core\Cts.Oasys.Data\Cts.Oasys.Data.vbproj">
      <Project>{43D83026-CDF3-4590-A743-4ACC4D2BDE61}</Project>
      <Name>Cts.Oasys.Data</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\main\bo\Oasys Framework\OasysDBBO\OasysDBBO.vbproj">
      <Project>{3DBD864C-D231-41AF-AD4C-B8667CF8680D}</Project>
      <Name>OasysDBBO</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\main\bo\Apps\ProcessTransmissions\ProcessTransmissions.vbproj">
      <Project>{189E8CCB-8325-4B4B-818E-279B5FF9CC58}</Project>
      <Name>ProcessTransmissions</Name>
      <Private>True</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\..\..\main\bo\TpWickes\TpWickes.Library\TpWickes.Library.vbproj">
      <Project>{038616C6-C578-4C90-995A-483CCFDE8346}</Project>
      <Name>TpWickes.Library</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\TpWickes\TpWickes.Library.UnitTest\TpWickes.Library.UnitTest.vbproj">
      <Project>{A6A59A84-2E91-4B1C-A561-E2BF8E160337}</Project>
      <Name>TpWickes.Library.UnitTest</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.VisualBasic.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>